## pyaxmlparser 0.3.13

=== requirements.txt ===
lxml==3.7.3
click==6.7

# testing
pytest==3.0.6
flake8==3.3.0
coverage==4.4.1

## pyaxmlparser 0.3.24

=== requirements.txt ===
lxml==3.7.3
click>=6.7

# testing
pytest==3.0.6
flake8==3.3.0
coverage==4.4.1

=== debian/changelog ===
pyaxmlparser (0.3.24-1) unstable; urgency=low

  * New upstream release.
  * Bump debhelper compat and versioned dep.
  * Remove the debian-specific apkinfo manpage; upstream now supplies it.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Install examples/* in the python3-pyaxmlparser package.
  * Fix a few pedantic lintian warnings.

 -- Andres Salomon <dilinger@debian.org>  Wed, 13 Nov 2019 05:06:19 +0000

pyaxmlparser (0.3.21-1) unstable; urgency=low

  * New upstream release.
  * Bump standards-version.
  * Document upstream's license change (from MIT to Apache-2).

 -- Andres Salomon <dilinger@debian.org>  Fri, 11 Oct 2019 02:55:05 +0000

pyaxmlparser (0.3.13-1) unstable; urgency=low

  * New upstream release.
  * Add a watch file.
  * Clean up a few minor lintian things.
  * Add a dependency on python3-pkg-resources.

 -- Andres Salomon <dilinger@debian.org>  Sun, 02 Dec 2018 00:26:50 +0000

pyaxmlparser (0.3.11-1) unstable; urgency=low

  * New upstream release.

 -- Andres Salomon <dilinger@debian.org>  Sat, 13 Oct 2018 04:47:01 +0000

pyaxmlparser (0.3.9-1) unstable; urgency=low

  * New upstream release.

 -- Andres Salomon <dilinger@debian.org>  Fri, 08 Jun 2018 03:40:59 +0000

=== debian/control ===
Source: pyaxmlparser
Section: python
Priority: optional
Maintainer: Andres Salomon <dilinger@debian.org>
Build-Depends: debhelper (>= 12.0~),
               dh-python,
               python3,
               python3-setuptools,
               python3-lxml
Standards-Version: 4.4.1.1
Homepage: https://github.com/appknox/pyaxmlparser

Package: python3-pyaxmlparser
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Description: Simple Python library to parse Android XML files
 A simple parsing library written in Python to handle Android 
 XML files. This allows parsing without pulling in larger
 dependencies (unlike parsers such as Androguard).

Package: apkinfo
Architecture: all
Depends: python3-pyaxmlparser,
         python3-pkg-resources,
         python3-click,
         ${python3:Depends},
         ${misc:Depends}
Description: Simple CLI script to display info about an APK file
 This command-line tool displays metadata information about an
 Android APK file. Simple things like package, version, and
 naming information.

=== debian/watch ===
version=4
opts=dversionmangle=auto \
https://github.com/appknox/pyaxmlparser/releases .*/v(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pyaxmlparser 0.3.26

=== debian/changelog ===
pyaxmlparser (0.3.26-2) unstable; urgency=low

  * Bump standards-version and debhelper compat, & clean up lintian stuff.
  * Specify that root isn't required to build package.
  * Github changed their download url, so fix debian/watch.

 -- Andres Salomon <dilinger@debian.org>  Sat, 04 Dec 2021 20:19:01 +0000

pyaxmlparser (0.3.26-1) unstable; urgency=low

  * New upstream release.
  * Minor update for debian/copyright.
  * Add new dependency on asn1crypto.

 -- Andres Salomon <dilinger@debian.org>  Sun, 03 Oct 2021 21:33:14 +0000

## pyaxmlparser 0.3.27

=== debian/changelog ===
pyaxmlparser (0.3.27-1) unstable; urgency=low

  * New upstream release.

 -- Andres Salomon <dilinger@debian.org>  Fri, 06 Jan 2023 01:09:01 +0000

=== debian/control ===
--- 
+++ 
@@ -2,24 +2,27 @@
 Section: python
 Priority: optional
 Maintainer: Andres Salomon <dilinger@debian.org>
-Build-Depends: debhelper (>= 12.0~),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3,
                python3-setuptools,
+               python3-asn1crypto,
                python3-lxml
-Standards-Version: 4.4.1.1
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/appknox/pyaxmlparser
+Rules-Requires-Root: no
 
 Package: python3-pyaxmlparser
 Architecture: all
 Depends: ${python3:Depends},
          ${misc:Depends}
 Description: Simple Python library to parse Android XML files
- A simple parsing library written in Python to handle Android 
+ A simple parsing library written in Python to handle Android
  XML files. This allows parsing without pulling in larger
  dependencies (unlike parsers such as Androguard).
 
 Package: apkinfo
+Section: utils
 Architecture: all
 Depends: python3-pyaxmlparser,
          python3-pkg-resources,

## pyaxmlparser 0.3.28

=== debian/changelog ===
pyaxmlparser (0.3.28-1) unstable; urgency=low

  * New upstream release.
  * Update standards-version to 4.6.2, no changes needed.

 -- Andres Salomon <dilinger@debian.org>  Thu, 29 Jun 2023 17:23:58 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python3-setuptools,
                python3-asn1crypto,
                python3-lxml
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2.0
 Homepage: https://github.com/appknox/pyaxmlparser
 Rules-Requires-Root: no

## pyaxmlparser 0.3.31

=== requirements.txt ===
lxml==4.6.2
click>=6.7
asn1crypto>=0.24.0

# testing
pytest==3.0.6
flake8==3.3.0
coverage==4.4.1

=== debian/changelog ===
pyaxmlparser (0.3.31-1) unstable; urgency=medium

  * New upstream release (closes: #1085801).
  * Drop dependency on python3-pkg-resources, which upstream no longer
    uses (closes: #1083566).
  * Fix issue related to upstream moving apkinfo's manpage location.

 -- Andres Salomon <dilinger@debian.org>  Thu, 13 Mar 2025 18:08:38 +0000

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,6 @@
 Section: utils
 Architecture: all
 Depends: python3-pyaxmlparser,
-         python3-pkg-resources,
          python3-click,
          ${python3:Depends},
          ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf pyaxmlparser.egg-info/

=== debian/watch ===
version=4
opts=dversionmangle=auto \
https://github.com/appknox/pyaxmlparser/tags .*/v(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
